{combine_css path=$PUBLICADMIN_PATH|cat:'template/style.css'}

{footer_script}{literal}
(function($){
    var editable = {
        'name': {
            type: 'text',
            selector: '.browsePath h2'
        },
        'comment': {
            type: 'textarea',
            selector: '.imageComment'
        },
        'author': {
            type: 'text',
            selector: '#Author.imageInfo dd'
        },
        'date_available': {
            type: 'date',
            selector: '#datepost.imageInfo dd'
        },
        'date_creation': {
            type: 'date',
            selector: '#datecreate.imageInfo dd'
        }
    };
    
    {/literal}
    $('#imageHeaderBar').append('<div id=publicAdmin><span class=edit>{'Edit'|translate}</span><span class=save>{'Save'|translate}</span><span class=cancel>{'Cancel'|translate}</span></div>');
    {literal}
    
    $('#publicAdmin .edit').on('click', function() {
        $(this).hide().siblings().show();
        
        $.each(editable, function(name, item) {
            var $item = $(item.selector);
          
            switch (item.type) {
            case 'text':
                $item.after('<input type=text class=publicAdmin name='+ name +' value="'+ $item.html() +'">');
                break;
                
            case 'textarea':
                $item.after('<textarea class=publicAdmin name='+ name +'>'+ $item.html() +'</textarea>');
                break;
                
            default:
                return true;
            }
            
            $item.hide();
        });
    });
    
    $('#publicAdmin .save').on('click', function() {
        var y = new PwgWS('{/literal}{$ROOT_URL}{literal}'),
            data = {
                image_id: {/literal}{$current.id}{literal},
                single_value_mode: 'replace',
                name: $(editable['name'].selector).next().val(),
                comment: $(editable['comment'].selector).next().val()
            };
            
          if ($(editable['author'].selector).length) {
              data.author = $(editable['author'].selector).next().val();
          }
            
        y.callService('pwg.images.setInfo', data, {
            method: 'POST',
            onFailure: function(num, text) {alert(num + " " + text); },
            onSuccess: function(result) {
                $('#publicAdmin .cancel').trigger('click');
                
                $.each(data, function(name, content) {
                    if (!editable[name]) return true;
                    $(editable[name].selector).html(content);
                });
            }
        });
    });
    
    $('#publicAdmin .cancel').on('click', function() {
      $('.publicAdmin').each(function() {
        $(this).prev().show();
        $(this).remove();
      });
      
      $(this).siblings().addBack().hide().filter('.edit').show();
    });

}(jQuery));
{/literal}{/footer_script}